# $Revision: 1.269 $, $Date: 2012/04/17 17:15:22 $
#
# TODO:
# - s=/dev/null=/home/services/xdm= in %%trigger for graceful upgrade from xdm/kdm/gdm 2.2
# - check /etc/pam.d/gdm-autologin
#
# Conditiional build:
%bcond_without	selinux	# without selinux
#
Summary:	GNOME Display Manager
Summary(es.UTF-8):	Administrador de Entrada del GNOME
Summary(ja.UTF-8):	GNOME ディスプレイマネージャ
Summary(pl.UTF-8):	gdm - zarządca ekranów GNOME
Summary(pt_BR.UTF-8):	Gerenciador de Entrada do GNOME
Summary(ru.UTF-8):	Дисплейный менеджер GNOME
Summary(uk.UTF-8):	Дисплейний менеджер GNOME
Name:		gdm2.20
Version:	2.20.11
Release:	5
License:	GPL/LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdm/2.20/gdm-%{version}.tar.bz2
# Source0-md5:	67696b64c81c317f61065810a32e8b36
Source1:	gdm.pamd
Source2:	gdm.init
Source3:	gdm-pld-logo.png
# http://cvs.pld-linux.org/cgi-bin/cvsweb/pld-artwork/gdm/storky/
Source4:	gdm-storky.tar.gz
# Source4-md5:	e293fbe4a60004056f6894463b874ae8
Source5:	gdm-autologin.pamd
Patch0:		gdm-xdmcp.patch
Patch1:		gdm-conf.patch
Patch2:		gdm-xsession.patch
Patch3:		gdm-desktop.patch
Patch4:		gdm-defaults.patch
URL:		http://www.gnome.org/projects/gdm/
BuildRequires:	ConsoleKit-devel
BuildRequires:	attr-devel
BuildRequires:	audit-libs-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool >= 0.36.1
BuildRequires:	libart_lgpl-devel >= 2.3.19
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.20.0
BuildRequires:	libgsf-devel >= 1.14.6
BuildRequires:	librsvg-devel >= 1:2.18.1
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.29
BuildRequires:	pam-devel
BuildRequires:	perl-modules
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.627
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libdmx-devel
BuildRequires:	zenity
Requires(post,postun):	/usr/bin/scrollkeeper-update
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun,postun):	systemd-units >= 38
Requires:	libgnomeui >= 2.20.0
Requires:	pam >= 0.99.7.1
Requires:	systemd-units >= 38
Requires:	which
Requires:	xinitrc-ng >= 1.0
Requires:	xorg-app-sessreg
Requires:	xorg-app-xmodmap
Suggests:	zenity
Provides:	XDM
Provides:	gdm = 2:%{version}
Provides:	group(xdm)
Provides:	user(xdm)
Obsoletes:	gdm <= 2:%{version}
Conflicts:	gdkxft
Conflicts:	gdm > 2:%{version}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%description -l es.UTF-8
Administrador de Entrada del GNOME.

%description -l ja.UTF-8
Gdm (the GNOME Display Manager) は、高度に設定可能な xdm X Display
Manager の再実装版です。 Gdm を使うと、 X Window System
が動いているあなたの
システムにいろいろなセッションを選択してログインすることができます。

このバージョンの Gdm では、各種言語や、XIM を選択することも可能です。

%description -l pl.UTF-8
Gdm jest wysokokonfigurowalną reimplementacją xdma. Gdm pozwala
logować się do systemu z poziomu X11 i wspiera jednoczesną pracę kilku
różnych sesji X na lokalnej maszynie.

%description -l pt_BR.UTF-8
Gerenciador de Entrada do GNOME.

%description -l ru.UTF-8
GDM (GNOME Display Manager) - это реимплементация xdm (X Display
Manager). GDM позволяет вам входить в систему, на которой запущено X
Window и поддерживает работу нескольуих разных X сеансов одновременно.

%description -l uk.UTF-8
GDM (GNOME Display Manager) - це реімплементація xdm (X Display
Manager). GDM дозволяє вам входити в систему, на якій запущено X
Window та підтримує роботу кількох різних X сеансів одночасно.

%package Xnest
Summary:	Xnest (ie embedded X) server for GDM
Summary(pl.UTF-8):	Serwer Xnest dla GDM
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-xserver-Xnest
Obsoletes:	gdm-Xnest <= 2:%{version}

%description Xnest
This package add support for Xnest server in gdm.

%description Xnest -l pl.UTF-8
Ten pakiet dodaje do gdm wsparcie dla Xnest.

%package init
Summary:	Init script for GDM
Summary(pl.UTF-8):	Skrypt init dla GDM-a
Group:		X11/Applications
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	open
Obsoletes:	gdm-init <= 2:%{version}
Conflicts:	gdm-init > 2:%{version}

%description init
Init script for GDM.

%description init -l pl.UTF-8
Skrypt init dla GDM-a.

%prep
%setup -q -a4 -n gdm-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i -e 's#sr@Latn#sr@latin#' po/LINGUAS
mv po/sr@{Latn,latin}.po

%build
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	LIBS="-lXau" \
	--disable-console-helper \
	--disable-scrollkeeper \
	--with-console-kit=yes \
	--enable-authentication-scheme=pam \
	--enable-secureremote \
	--with-pam-prefix=/etc \
	--with-tcp-wrappers=yes \
	--with%{!?with_selinux:out}-selinux \
	--with-libaudit=yes \
	--with-xdmcp=yes \
	--with-xinerama=yes \
	--with-dmx=yes \
	--enable-ipv6=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,security} \
	$RPM_BUILD_ROOT{/home/services/xdm,/var/log/gdm} \
	$RPM_BUILD_ROOT%{_datadir}/gdm/themes/storky \
	$RPM_BUILD_ROOT%{systemdunitdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PAM_PREFIX=/etc

mv $RPM_BUILD_ROOT%{_datadir}/gdm/BuiltInSessions/default.desktop \
	$RPM_BUILD_ROOT%{_datadir}/xsessions

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/gdm
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/gdm-autologin
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/gdm

install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/gdm.service

install storky/*.* $RPM_BUILD_ROOT%{_datadir}/gdm/themes/storky/

touch $RPM_BUILD_ROOT/etc/security/blacklist.gdm

%find_lang gdm --with-gnome --with-omf --all-name

# Remove useless files
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{la,a}

# moved to gnome-session
rm $RPM_BUILD_ROOT%{_datadir}/xsessions/gnome.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 55 -r -f xdm
%useradd -u 55 -r -d /home/services/xdm -s /bin/false -c "X Display Manager" -g xdm xdm

%post
%scrollkeeper_update_post
%update_icon_cache hicolor
%systemd_reload

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor
%systemd_reload

if [ "$1" = "0" ]; then
	%userremove xdm
	%groupremove xdm
fi

%triggerpostun -- gdm < 1:2.13.0.8-1
if [ -f /etc/X11/gdm/gdm.conf-custom.rpmsave ]; then
    mv /etc/X11/gdm/gdm.conf-custom.rpmsave /etc/gdm/custom.conf
fi

%post init
/sbin/chkconfig --add gdm
if [ -f /var/lock/subsys/gdm ]; then
	echo "Run \"/sbin/service gdm restart\" to restart gdm." >&2
	echo "WARNING: it will terminate all sessions opened from gdm!" >&2
else
	echo "Run \"/sbin/service gdm start\" to start gdm." >&2
fi

%preun init
if [ "$1" = "0" ]; then
	%service gdm stop
	/sbin/chkconfig --del gdm
fi

%files -f gdm.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gdm-dmx-reconnect-proxy
%attr(755,root,root) %{_bindir}/gdmdynamic
%attr(755,root,root) %{_bindir}/gdmflexiserver
%attr(755,root,root) %{_bindir}/gdmphotosetup
%attr(755,root,root) %{_bindir}/gdmthemetester
%attr(755,root,root) %{_libdir}/gdm-ssh-session
%attr(755,root,root) %{_libdir}/gdmaskpass
%attr(755,root,root) %{_libdir}/gdmopen
%attr(755,root,root) %{_libdir}/gdmtranslate
%attr(755,root,root) %{_libdir}/gdmchooser
%attr(755,root,root) %{_libdir}/gdmgreeter
%attr(755,root,root) %{_libdir}/gdmlogin
%attr(755,root,root) %{_sbindir}/*

%{systemdunitdir}/gdm.service
%dir %{_sysconfdir}/gdm
%dir %{_sysconfdir}/gdm/Init
%dir %{_sysconfdir}/gdm/PreSession
%dir %{_sysconfdir}/gdm/PostSession
%dir %{_sysconfdir}/gdm/PostLogin
%dir %{_sysconfdir}/gdm/modules
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/Init/Default
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/PostLogin/Default.sample
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/PostSession/Default
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/PreSession/Default
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/XKeepsCrashing
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/Xsession
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/custom.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/locale.alias
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gdm/modules/*

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/gdm*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.gdm
%attr(1770,root,xdm) /var/lib/gdm
%attr(750,xdm,xdm) /var/log/gdm
%attr(750,xdm,xdm) /home/services/xdm
%{_pixmapsdir}/*
%{_datadir}/gdm
%{_datadir}/xsessions/default.desktop
%{_datadir}/xsessions/ssh.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/lib*.so
%{_mandir}/man1/gdm*

%files Xnest
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdmXnest
%attr(755,root,root) %{_bindir}/gdmXnestchooser

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/gdm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdm2.20.spec,v $
Revision 1.269  2012/04/17 17:15:22  baggins
- rel 5
- better systemd deps

Revision 1.268  2012/03/18 13:01:16  baggins
- rel 4
- mask systemd gdm service and require xinitrc-ng >= 1.0 to start gdm via prefdm
- xinitrc-ng as such should be in R long ago

Revision 1.267  2011/02/04 18:23:45  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.266  2011/01/23 01:58:08  sparky
- link with -lXau

Revision 1.265  2010/10/26 12:07:28  baggins
- rel 2

Revision 1.264  2010/06/04 17:30:28  baggins
- 2.20.11

Revision 1.263  2010/05/19 17:04:51  sparky
- BR: docbook-dtd412-xml, gnome-common, pkgconfig

Revision 1.262  2010/05/19 14:01:56  baggins
- cosmetics

Revision 1.261  2010/05/19 13:53:12  baggins
- cleaned up files liste twice

Revision 1.260  2010/05/19 13:39:01  baggins
- more C/P/O

Revision 1.259  2010/05/19 13:33:38  baggins
- epoch in C/O

Revision 1.258  2010/05/19 13:19:06  baggins
- updated deps
- updated configure options
- added secureremote session

Revision 1.257  2010/05/19 12:50:10  baggins
- the last functional version of GDM resurrected as gdm2.20 package

Revision 1.256  2010/05/12 22:17:30  sparky
- BR: polkit-devel
- commented-out unused BR: ConsoleKit-devel, check, polkit-gnome-devel,
  scrollkeeper, xorg-lib-libdmx-devel

Revision 1.255  2010/04/27 14:51:07  megabajt
- updated to 2.30.2

Revision 1.254  2010/03/31 20:52:48  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.249.2.3  2010/03/14 20:25:12  megabajt
- updated to 2.29.92
- removed obsolete -dont-hardcode-path.patch

Revision 1.253  2010/02/13 11:57:36  qboosh
- dropped _localstatedir macro abuse; don't package invalid /var/gdm directory

Revision 1.252  2010/01/28 14:26:56  glen
- use /usr/bin/X as more general dependency

Revision 1.251  2009/12/17 18:43:39  megabajt
- updated Source0-md5

Revision 1.250  2009/12/17 09:26:10  megabajt
- updated to 2.28.2

Revision 1.249.2.2  2009/11/24 12:22:36  patrys
- remove en@shaw

Revision 1.249.2.1  2009/11/24 12:17:21  patrys
- 2.29.0

Revision 1.249  2009/11/15 20:54:52  sparky
- added "custom" an "default" desktop files to xsessions dir - they allow
  starting ~/.Xclients and ~/.xsession scripts
- BR: polkit-gnome-devel >= 0.92
- S: zenity
- rel 2

Revision 1.248  2009/10/23 13:45:03  megabajt
- updated to 2.28.1

Revision 1.247  2009/10/02 16:35:03  megabajt
- created -user-switch-applet subpackage with P/O: g-a-f-u-s to fix lp#439820
- really fixed path to polkit-gnome-authentication-agent-1 (-dont-hardcode-path.patch)
- fixed file permissions
- release 8

Revision 1.246  2009/10/02 11:13:41  patrys
- BR: libcanberra-gtk

Revision 1.245  2009/10/02 10:28:41  qwiat
- fixed %dir

Revision 1.244  2009/10/02 10:23:35  qwiat
- added missing dir: /var/cache/gdm

Revision 1.243  2009/10/02 07:59:48  baggins
- rel 4
- ConsoleKit version

Revision 1.242  2009/10/01 19:36:32  qwiat
- added BR: docbook-dtd412-xml

Revision 1.241  2009/09/28 23:15:51  baggins
- rel 2

Revision 1.240  2009/09/26 19:31:36  patrys
- 2.28.0
- as permitted by arekm

Revision 1.239  2009/09/26 18:14:02  arekm
- rel 3; run by default on vt9

Revision 1.238  2009/08/18 10:59:38  arekm
- release 2

Revision 1.237  2009/03/29 16:06:55  megabajt
- updated to 2.20.10

Revision 1.236  2008/12/27 11:44:53  adamg
- updated to 2.20.9

Revision 1.235  2008/11/24 22:29:27  sls
- it should be 1770

Revision 1.234  2008/11/24 17:35:16  sls
- attr(1750,root,xdm) /var/lib/gdm (gdm-daemon sets such permissions)
- rel. 2

Revision 1.233  2008/11/02 11:08:06  megabajt
- updated to 2.20.8

Revision 1.232  2008/11/01 23:19:09  arekm
- release 3

Revision 1.231  2008/10/13 10:00:41  radek
- BR: gnome-doc-utils

Revision 1.230  2008/10/13 09:29:27  radek
- epoch 2, release 2: reverted to -r1.227 (before merge from DEVEL),
  tagged previous version as DEVEL.  This is not ready for merge.

Revision 1.229  2008/10/12 18:50:20  patrys
- rebuild with proper init script
- rel 2

Revision 1.228  2008/10/02 23:28:44  qwiat
- merge from devel

Revision 1.220.2.10  2008/10/02 23:17:05  qwiat
- up to 2.24
- removed storky theme

Revision 1.220.2.9  2008/08/28 15:04:50  patrys
- R: latest gnome-session

Revision 1.220.2.8  2008/08/28 14:45:16  patrys
- 2.23.90

Revision 1.220.2.7  2008/08/19 19:49:01  patrys
- fix packaging

Revision 1.220.2.6  2008/08/19 19:36:38  patrys
- universal patch as submitted upstream

Revision 1.220.2.5  2008/08/19 14:24:47  patrys
- 2.23.2

Revision 1.227  2008/07/03 10:24:37  dzeus
- upss, Source4 back

Revision 1.226  2008/07/03 10:17:03  dzeus
- md5

Revision 1.225  2008/07/03 10:13:24  dzeus
- up to 2.20.7

Revision 1.224  2008/04/11 19:25:52  sls
- ver. 2.20.5

Revision 1.223  2008-03-21 07:59:30  arekm
- R: xorg-app-xmodmap used in gdm/Xsession

Revision 1.222  2008-03-13 11:15:13  patrys
- 2.20.4

Revision 1.220.2.4  2008/02/16 03:48:40  patrys
- package the gconf directory

Revision 1.220.2.3  2008-02-16 03:45:29  patrys
- 2.21.7

Revision 1.220.2.2  2008-02-10 22:24:38  patrys
- 2.21.6

Revision 1.221  2008-01-09 19:44:35  megabajt
- updated to 2.20.3

Revision 1.220.2.1  2007-12-20 00:22:52  patrys
- 2.21.4

Revision 1.220  2007-12-01 17:18:53  glen
- @ is no special needing the escape

Revision 1.219  2007-12-01 16:51:13  megabajt
- updated to 2.20.2
- use better way to fix locale name

Revision 1.220  2007-12-01 17:18:53  glen

Revision 1.218  2007-11-27 20:28:18  qboosh
- updated find_lang BR

Revision 1.217  2007-11-08 19:59:57  megabajt
- up to 2.20.1
- use --with-omf

Revision 1.216  2007-11-04 22:53:18  ankry
- sr@Latn -> sr@latin, rel. 5

Revision 1.215  2007/10/25 16:27:45  baggins
- rel 4
- no need for pam_ck_connector, gdm can do this internally
- --with-console-kit

Revision 1.214  2007/10/25 15:35:01  baggins
- rel 3
- fix pam configs wrt ConsoleKit

Revision 1.213  2007/09/21 15:43:05  megabajt
- added defaults patch (fixes #43)
- release 2

Revision 1.212  2007/09/18 08:23:15  aflinta
- merged from DEVEL, up to 2.20

Revision 1.211  2007/09/09 17:21:00  qboosh
- let all XDMs have Provides: XDM (xdm was already used by XFree86 xdm impl.)
- dropped X11-xdm obsoletes from non-X.org XDMs

Revision 1.210.2.3  2007/09/17 11:51:36  patrys
- build with ConsoleKit support

Revision 1.210.2.2  2007/09/07 19:17:55  megabajt
- updated to 2.19.8

Revision 1.210.2.1  2007/08/29 05:32:49  patrys
- 2.19.7

Revision 1.210  2007/08/13 14:17:14  megabajt
- updated to 2.18.4, fixes CVE-2007-3381

Revision 1.209  2007/08/04 14:51:08  patrys
- rel up
- don't obsolete other greeters

Revision 1.208  2007/07/26 14:04:44  megabajt
- updated to 2.18.3

Revision 1.207  2007/06/01 17:41:58  megabajt
- updated to 2.18.2

Revision 1.206  2007/05/02 18:06:50  radek
- release 2: use pam_limits.so

Revision 1.205  2007/04/09 11:15:06  megabajt
- updated to 2.18.1

Revision 1.204  2007/03/12 18:25:50  megabajt
- omg, updated md5

Revision 1.203  2007/03/12 18:22:07  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.202.2.1  2007/03/04 14:41:19  megabajt
- updated to 2.17.8

Revision 1.202  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.201  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.200  2007/02/11 13:21:07  baggins
- rel 2
- R: pam >= 0.99.7.1

Revision 1.199  2007/01/29 19:17:20  megabajt
- 2.16.5

Revision 1.198  2006/12/23 22:05:25  megabajt
- updated to 2.16.4 (fixes CVE-2006-6105)

Revision 1.197  2006/12/23 10:44:40  adamg
- Obsoletes: slim

Revision 1.196  2006/12/18 16:21:26  baggins
- release 2
- added sessreg patch (fixes pre/post session scripts)

Revision 1.195  2006/11/01 13:24:10  megabajt
- up to 2.16.2

Revision 1.194  2006/10/05 22:06:08  grzegol
- package si lang files (languages added in glibc-2.5)

Revision 1.193  2006/10/03 19:02:37  grzegol
- 2.16.1

Revision 1.192  2006/09/05 20:46:15  grzegol
- 2.16.0

Revision 1.191  2006/08/21 21:20:55  freetz
- 2.15.10

Revision 1.190  2006/08/09 20:32:40  freetz
- 2.15.9

Revision 1.189  2006/08/01 18:07:52  freetz
- 2.15.8

Revision 1.188  2006/07/26 19:04:24  freetz
- 2.15.7

Revision 1.187  2006/07/13 15:49:01  freetz
- 2.15.6, updated deps, --as-needed support

Revision 1.186  2006/06/22 14:19:45  wrobell
- apply missing xorg patch
- rel. 2

Revision 1.185  2006/06/12 19:22:53  freetz
- 2.15.5

Revision 1.184  2006/06/10 20:12:23  freetz
- 2.15.4, GNOME 2.15.x deps, restored HEAD deps

Revision 1.183  2006/06/09 15:20:10  glen
- note CVE ref in 2.14.8 release
- adapter

Revision 1.182  2006/06/08 17:38:02  qboosh
- merged security update to 2.14.8 from AC-branch [CVE-2006-2452]
- removed obsolete todo comment

Revision 1.181  2006/05/23 21:19:03  freetz
- md5

Revision 1.180  2006/05/23 21:15:23  freetz
- sync with stable branch, cut changelog
